Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class PersonalStationery

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AbstractDocument
              com.compoze.domino.Memo
                  com.compoze.domino.PersonalStationery

All Implemented Interfaces:
  java.io.Serializable

public class PersonalStationery
extends Memo
implements java.io.Serializable

This class is a Domino PersonalStationery which extends Memo. Memo instances are obtained from the `Documents` class and if `getDocumentType` is `PERSONAL_STATIONERY` the document has additional properties and can be created as a `PersonalStationery`. The `PropertyType.HEADER`, `PropertyType.HEADER_HTML`, `PropertyType.FOOTER`, and `PropertyType.FOOTER_HTML` properties are made available.

See Also:
  Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on a PersonalStationery.

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`java.lang.String` | `getFooter()` Gets the footer of the memo.
`java.lang.String` | `getFooterHtml()` Gets the footer as html of the memo.
`java.lang.String` | `getFooterHtml(IEmbeddedImageListener imageListener)` Gets the footer as html of the memo.
`java.lang.String` | `getHeader()` Gets the header of the memo.
`java.lang.String` | `getHeaderHtml()` Gets the header as html of the memo.
`java.lang.String` | `getHeaderHtml(IEmbeddedImageListener imageListener)` Gets the header as html of the memo.
`void` | `setFooter(java.lang.String sFooter)` Sets the footer of the memo.
`void` | `setFooterHtml(java.lang.String sFooter)` Sets the footer as html of the memo.
`void` | `setHeader(java.lang.String sHeader)` Sets the header of the memo.
`void` | `setHeaderHtml(java.lang.String sHeader)` Sets the header as html of the memo.

Methods inherited from class com.compoze.domino.Memo
`getBody, getBodyHtml, getBodyHtml, getBodyStoredFormHtml, getBodyStoredFormHtml, getDeliveredDate, getDeliveredDateString, getDeliveryPriority, getDeliveryReportLevel, getFollowUpDate, getFollowUpStatus, getFollowUpText, getImportance, getMemoDate, getMemoDateString, getNormalizedSubject, getPostedDate, getPostedDateString, getPreventCopy, getRecipientInfoArray, getReturnReceipt, getSenderInfo, getSenderName, getSubject, getSubject, getSubject, getSubject, getUnread, isEncrypted, serverForward, serverReply, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverUpdate, serverUpdate, setBody, setBodyHtml, setDeliveryPriority, setDeliveryReportLevel, setFollowUpDate, setFollowUpStatus, setFollowUpText, setImportance, setPreventCopy, setReturnReceipt, setSubject, setUnread`

Methods inherited from class com.compoze.domino.AbstractDocument
`getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getDateCreated, getDateCreatedString, getDateModified, getDateModifiedString, getDocumentType, getEmbeddedImageCount, getEmbeddedImageInfo, getEmbeddedImageInfoArray, getID, getParentID, getSize, getSizeInKilos, hasAttachment, serverAddAttachment, serverCopyTo, serverDeleteAttachment, serverMoveTo`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on a PersonalStationery. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

Method Detail

### setHeaderHtml

    public void setHeaderHtml(java.lang.String sHeader)
                       throws DominoException

  Sets the header as html of the memo.

  Parameters:
    `sHeader` - the header as html of the memo (must be `UTF-8` encoded)
  Throws:
    `DominoException`

### getHeaderHtml

    public java.lang.String getHeaderHtml()
                                   throws DominoException

  Gets the header as html of the memo. There is no need to escape the html header.

  Returns:
    the header as html of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HEADER_HTML`

### getHeaderHtml

    public java.lang.String getHeaderHtml(IEmbeddedImageListener imageListener)
                                   throws DominoException

  Gets the header as html of the memo. There is no need to escape the html header.

  Parameters:
    `imageListener` - the image listener (may not be `null`)
  Returns:
    the header as html of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HEADER_HTML`

### getHeader

    public java.lang.String getHeader()
                               throws DominoException

  Gets the header of the memo.

  Returns:
    the header of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HEADER`

### setHeader

    public void setHeader(java.lang.String sHeader)
                   throws DominoException

  Sets the header of the memo.

  Parameters:
    `sHeader` - the header of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.HEADER`

### setFooterHtml

    public void setFooterHtml(java.lang.String sFooter)
                       throws DominoException

  Sets the footer as html of the memo.

  Parameters:
    `sFooter` - the footer as html of the memo (must be `UTF-8` encoded)
  Throws:
    `DominoException`

### getFooterHtml

    public java.lang.String getFooterHtml()
                                   throws DominoException

  Gets the footer as html of the memo. There is no need to escape the html footer.

  Returns:
    the footer as html of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FOOTER_HTML`

### getFooterHtml

    public java.lang.String getFooterHtml(IEmbeddedImageListener imageListener)
                                   throws DominoException

  Gets the footer as html of the memo. There is no need to escape the html footer.

  Parameters:
    `imageListener` - the image listener (may not be `null`)
  Returns:
    the footer as html of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FOOTER_HTML`

### getFooter

    public java.lang.String getFooter()
                               throws DominoException

  Gets the footer of the memo.

  Returns:
    the footer of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FOOTER`

### setFooter

    public void setFooter(java.lang.String sFooter)
                   throws DominoException

  Sets the footer of the memo.

  Parameters:
    `sFooter` - the footer of the memo
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FOOTER`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.